function movieDetailViewHTML(obj) {
    rating = getRatingImage(obj.RATING);
    parental_rating = getCertificationImage(obj.PARENTAL_CONTROL);
    var bullet = '&emsp;&bull;&emsp;';

    if (obj.POSTER == 'NULL' || obj.POSTER == '')
        poster = 'images/movieinfo_big_video_default_thumb.jpg';
    else if (obj.POSTER.substr(0,4) == 'http')
        poster = obj.POSTER;
    else 
        poster = 'http://' + ipaddress + ':' + port + '/NMJManagerTablet_web/' + obj.POSTER.replace(/\'/g, "%27");
    if (obj.WALLPAPER == 'NULL' || obj.WALLPAPER == '')
        //wallpaper = 'http://' + ipaddress + ':' + port + '/NMJManagerTablet_web/' + 'images/gridview_video_default_thumb.jpg';
        wallpaper = 'images/gridview_video_default_thumb.jpg';
    else if (obj.WALLPAPER.substr(0,4) == 'http')
        wallpaper = obj.WALLPAPER;
    else
        wallpaper = 'http://' + ipaddress + ':' + port + '/NMJManagerTablet_web/' + obj.WALLPAPER.replace(/\'/g, "%27");

    if (typeof obj.BOOKMARK_THUMBNAIL != 'undefined')
        obj.BOOKMARK_THUMBNAIL = 'http://' + ipaddress + ':' + port + '/NMJManagerTablet_web/' + obj.BOOKMARK_THUMBNAIL.replace(/\'/g, "%27");

    if (obj.PARENTAL_CONTROL == '')
        obj.PARENTAL_CONTROL='NR';
    // Multiview
    Template = '<div id="detailBackground" style=\'position: absolute;width: 100%; height: 100%;'+
    'background-size: 100%;background-image: url("' + wallpaper +'");\'>';

    var divHeight = Math.round((realHeight / 2) * .85);

    // Info portion on bottom
    Template += '<div style="position: absolute;width: 100%;' +
    'height: ' + divHeight + 'px;background-color: black;opacity: 0.7;bottom: 0px;">' +
    '<div style="color: white;position: absolute;left: 310px;' +
    'font-family:\'Oswald\', sans-serif; right: 30px; height: ' + (divHeight - 60) + 'px;' +
    'bottom:30px;"><span id="TITLE" style="font-size: 35px;' +
    'white-space: nowrap;">' + obj.TITLE + '</span>';

    Template += bullet + '<img src="images/year.png" style="width:24px;height:24px;vertical-align:text-bottom;">&nbsp;' +
    '<span class="htmlselect" style="font-size:20px;"><a href="#" id="year" name="Year" ' +
    'onclick="showMovieWall(this);">' + obj.YEAR + '</a></span>';

    if (typeof obj.DIRECTOR != 'undefined' && obj.DIRECTOR != 'null') {
    if (obj.DIRECTOR.length > 0) {
        Template += bullet + '<img src="images/director.png" style="width:24px;height:24px;vertical-align:text-bottom;">&nbsp;';
        tarray = Array();
        for (var j = 0; j < obj.DIRECTOR.length; j++) {
            tarray[j] = '<span class="htmlselect" style="font-size:18px;"><a href="#" id="director" name="Director" ' +
            'onclick="showMovieWall(this);">' + obj.DIRECTOR[j] + '</a></span>';
        }
        Template += tarray.join('&emsp;-&emsp;');
    }
    else if (obj.DIRECTOR.length == 0) {
        Template += bullet + '<img src="images/director.png" style="width:24px;height:24px;vertical-align:text-bottom;">&nbsp;' +
        '<span class="htmlselect" style="font-size:18px;"><a href="#" id="director" name="Director" ' +
        'onclick="showMovieWall(this);">' + obj.DIRECTOR[0] + '</a></span>';
    }
    }

    // Rating, Year and Certification
    Template += '<div style="position: relative;font-size:18px;">' +
    '<span><img src="' + rating + '" style="width:60px;"></span>' + bullet +
    '<img src="images/time.png" style="width:24px;height:24px;vertical-align:middle;">&nbsp;' +
    '<span>' + secondsToTime(obj.RUNTIME) + '</span>' + bullet +
    '<img src="images/certification.png" style="width:24px;height:24px;vertical-align:text-bottom;">&nbsp;' +
    '<span class="htmlselect"><a href="#" id="certification" name="Certification" onclick="showMovieWall(this);">' +
    obj.PARENTAL_CONTROL + '</a></span>';

    if (typeof obj.GENRE != 'undefined') {
    if (obj.GENRE.length > 0) {
        Template += bullet + '<img src="images/genres.png" style="width:24px;height:24px;vertical-align:text-bottom;">&nbsp;';
        tarray = Array();
        for (var j = 0; j < obj.GENRE.length; j++) {
            tarray[j] = '<span class="htmlselect" style="font-size:18px;"><a href="#" id="genre" name="Genre" ' +
            'onclick="showMovieWall(this);">' + obj.GENRE[j] + '</a></span>';
        }
        Template += tarray.join('&emsp;-&emsp;');
    }
    else
        Template += bullet + '<img src="images/genres.png" style="width:24px;height:24px;vertical-align:text-bottom;">&nbsp;' +
        '<span class="htmlselect" style="font-size:18px;"><a href="#" id="genre" name="Genre" ' +
        'onclick="showMovieWall(this);">' + obj.GENRE[0] + '</a></span>';
    }

    Template += '</div>';

    // Synopsis
    Template += '<div class="webix_view webix_scrollview"  style="background-color: black; ' +
    'margin-top: 0px;height: ' + (divHeight - 170) + 'px; position: relative;">';

    Template += '<div class="webix_scroll_cont" touch_scroll="y" ' +
    'style="-webkit-transform: translate3d(0px, 0px, 0); -webkit-transition: -webkit-transform 0ms; ' +
    'transition: -webkit-transform 0ms; -webkit-user-select: none; -webkit-transform-style: flat;">' +
    '<div style="color: white;word-wrap: break-word;text-align:justify;' +
    'font-size:20px;font-family:\'Oswald\', sans-serif;">' + obj.CONTENT + '</div></div></div>';

    if (typeof obj.VIDEO != 'undefined') {
    Template += '<div style="width: 100%; position: relative; height: 30px;opacity: 0.7; ' +
    'background-color: #000;line-height: 40px;color: yellow;white-space:nowrap;"><img src="images/movie.png"' +
    'style="width:24px;vertical-align: text-bottom;">' + obj.VIDEO.SYSTEM + bullet + obj.VIDEO.RESOLUTION + bullet +
    '<img src="images/file.png" ' +
    'style="width:24px;vertical-align: text-bottom;">' + obj.VIDEO.SOURCEURL + "/" + obj.VIDEO.PATH + '</div>';
    }

    Template += "</div></div>";

    Template += '<div style="position:absolute;left: 30px;bottom:30px;width:250px;height:375px;">'+
    "<img src='"+poster+"' id='poster' style='position:absolute;width:100%; height:100%;'/>" +
    "<img src='images/movieinfo_big_thumb_glass.png' id='detailPoster' style='position:absolute;width:100%;height:100%;'/>";
    if (typeof obj.VIDEO != 'undefined' && obj.VIDEO.PLAY_COUNT != 0)
        Template += "<img id='lastWatched' src='images/episode-watched.png' style='left: 170px;" +
        "top: 0px;width: 80px;position:absolute;'/>";
    Template += '</div></div></div> </div>';
    return Template;
}
