<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

include "functions.php";

header("Access-Control-Allow-Origin: *");
if (isset($_GET['action']) && $_GET['action'] == 'getMovies') {
//define variables from incoming values

    if (isset($_GET["start"]))
        $posStart = $_GET['start'];
    else
        $posStart = 0;

    if (isset($_GET['sortby']))
        $sortby = $_GET['sortby'];
    else
        $sortby = "title";

    if (isset($_GET['filterby']))
        $filterby = $_GET['filterby'];

    if (isset($_GET['orderby']))
        $orderby = $_GET['orderby'];
    else
        $orderby = "asc";

    if (isset($_GET["TYPE"]))
        $type = $_GET['TYPE'];
    else
        $type = "Videos";

    if (isset($_GET["VALUE"]))
        $value = $_GET['VALUE'];
    else
        $value = "";

    if (isset($_GET["count"]))
        $count = $_GET['count'];
    else
        $count = 60;

    if (isset($_GET['sourcepath']))
        $sourcepath = $_GET['sourcepath'];

    if (isset($_GET['dbpath']))
        $dbpath = $_GET['dbpath'];

    if (isset($_GET['filter']))
        $filter = $_GET['filter'];

    if (file_exists($dbpath)) {
        $command = "cd /share/Apps/NMJManagerTablet/webui;ln -s " . $sourcepath . " .";
        shell_exec($command);
        $mediapath = dirname(dirname($dbpath));
        if ($mediapath != $sourcepath)  {
            $command = "cd /share/Apps/NMJManagerTablet/webui;ln -s " . $mediapath . " .";
            shell_exec($command);
        }
        $dbh = new PDO('sqlite:' . $dbpath);

        if ($posStart == 0) {
            if ($type == 'Videos' || $type == 'TV Shows' || $type == 'Movies' || $type == 'Watched' || $type == 'Unwatched' || 
		$type == "Favorites" || $type == 'Unidentified') {
                if ($filterby == 'Genre') {
                    $sql = 'SELECT COUNT(SHOWS_GENRES.SHOWS_ID) FROM VIDEO_GENRES,SHOWS_GENRES,SHOWS ';
                    if ($type == 'Favorites')
                        $sql .= ',FAVOURITES ';
                    else if ($type == "Watched" || $type == "Unwatched")
                        $sql .= ',SHOWS_VIDEOS,VIDEOS ';
                    $sql .= ' WHERE VIDEO_GENRES.NAME="' . $value . '" ';
                    $sql .= 'AND SHOWS_GENRES.GENRES_ID=VIDEO_GENRES.ID ';
                    if ($type == 'Favorites')
                        $sql .= ' AND FAVOURITES.MEDIA_ID = SHOWS.ID  ';
                    $sql .= ' AND SHOWS.ID=SHOWS_GENRES.SHOWS_ID ';
                    /*if ($type == 'Videos')
                        $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                    else if ($type == 'TV Shows')
                        $sql .= 'AND SHOWS.TITLE_TYPE = 2 ';
                    else
                        $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6) ';*/
                    $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                    if ($type == "Watched" || $type == "Unwatched") {
                        $sql .= 'AND VIDEOS.ID = SHOWS_VIDEOS.VIDEOS_ID AND ';
                        $sql .= 'SHOWS.ID = SHOWS_VIDEOS.SHOWS_ID AND ';
                        if ($type == "Watched")
                            $sql .= 'VIDEOS.PLAY_COUNT > 0 ';
                        else
                            $sql .= 'VIDEOS.PLAY_COUNT = 0 ';
                    }
                } else if ($filterby == 'Director' || $filtertype == 'Cast') {
                    $sql = 'SELECT COUNT(SHOWS_PERSONS.SHOWS_ID),VIDEO_PERSONS.ID FROM ';
                    $sql .= 'SHOWS_PERSONS,VIDEO_PERSONS,SHOWS ';
                    if ($type == "Watched" || $type == "Unwatched")
                        $sql .= ',SHOWS_VIDEOS,VIDEOS ';
                    $sql .= ' WHERE VIDEO_PERSONS.NAME="' . str_replace("'", "&apos;", $value) . '" AND ';
                    $sql .= 'VIDEO_PERSONS.ID=SHOWS_PERSONS.PERSONS_ID ';
                    $sql .= 'AND SHOWS.ID=SHOWS_PERSONS.SHOWS_ID ';
                    /*if ($type == 'Videos')
                        $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) AND ';
                    else if ($type == 'TV Shows')
                        $sql .= 'AND SHOWS.TITLE_TYPE = 2 AND ';
                    else
                        $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6) AND ';*/
                    $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                    $sql .= " AND ";
                    if ($type == "Watched" || $type == "Unwatched") {
                        $sql .= 'VIDEOS.ID = SHOWS_VIDEOS.VIDEOS_ID AND ';
                        $sql .= 'SHOWS.ID = SHOWS_VIDEOS.SHOWS_ID AND ';
                        if ($type == "Watched")
                            $sql .= 'VIDEOS.PLAY_COUNT > 0 AND ';
                        else
                            $sql .= 'VIDEOS.PLAY_COUNT = 0 AND ';
                    }
                    if ($filterby == 'Director')
                        $sql .= 'SHOWS_PERSONS.PERSON_TYPE = "DIRECTOR"';
                    else if ($filterby == 'Cast')
                        $sql .= 'SHOWS_PERSONS.PERSON_TYPE = "CAST"';
                } else if ($filterby == 'Year') {
                    $sql = 'SELECT COUNT(SHOWS.ID) FROM SHOWS ';
                    if ($type == 'Favorites')
                        $sql .= ',FAVOURITES ';
                    else if ($type == "Watched" || $type == "Unwatched")
                        $sql .= ',SHOWS_VIDEOS,VIDEOS ';
                    $sql .= 'WHERE YEAR="' . $value . '"  ';
                    /*if ($type == 'Videos')
                        $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                    else if ($type == 'TV Shows')
                        $sql .= 'AND SHOWS.TITLE_TYPE = 2 ';
                    else
                        $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6) ';*/
                    $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                    if ($type == 'Favorites')
                        $sql .= ' AND FAVOURITES.MEDIA_ID = SHOWS.ID  ';
                    else if ($type == "Watched" || $type == "Unwatched") {
                        $sql .= 'AND VIDEOS.ID = SHOWS_VIDEOS.VIDEOS_ID AND ';
                        $sql .= 'SHOWS.ID = SHOWS_VIDEOS.SHOWS_ID AND ';
                        if ($type == "Watched")
                            $sql .= 'VIDEOS.PLAY_COUNT > 0 ';
                        else
                            $sql .= 'VIDEOS.PLAY_COUNT = 0 ';
                    }
                } else if ($filterby == 'Index') {
                    $sql = 'SELECT COUNT(SHOW_GROUPS_SHOWS.ID) FROM ';
                    $sql .= 'SHOW_GROUPS_SHOWS,SHOW_GROUPS WHERE ';
                    $sql .= 'SHOW_GROUPS.NAME="' . $value . '" AND ';
                    $sql .= 'SHOW_GROUPS_SHOWS.GROUPS_ID=SHOW_GROUPS.ID';
                } else if ($filterby == 'Certification') {
                    if ($value == 'NR')
                        $value = '';
                    $sql = 'SELECT COUNT(SHOWS.ID) FROM SHOWS ';
                    if ($type == "Watched" || $type == "Unwatched")
                        $sql .= ',SHOWS_VIDEOS,VIDEOS ';
                    $sql .= 'WHERE PARENTAL_CONTROL="' . $value . '"  ';
                    /*if ($type == 'Videos')
                        $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                    else if ($type == 'TV Shows')
                        $sql .= 'AND SHOWS.TITLE_TYPE = 2 ';
                    else
                        $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6) ';*/
                    $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                    if ($type == 'Favorites')
                        $sql .= ' AND FAVOURITES.MEDIA_ID = SHOWS.ID  ';
                    else if ($type == "Watched" || $type == "Unwatched") {
                        $sql .= 'AND VIDEOS.ID = SHOWS_VIDEOS.VIDEOS_ID AND ';
                        $sql .= 'SHOWS.ID = SHOWS_VIDEOS.SHOWS_ID AND ';
                        if ($type == "Watched")
                            $sql .= 'VIDEOS.PLAY_COUNT > 0 ';
                        else
                            $sql .= 'VIDEOS.PLAY_COUNT = 0 ';
                    }
                } else if ($filterby == 'Rating') {
                    $sql = 'SELECT COUNT(SHOWS.ID) FROM SHOWS ';
                    if ($type == "Watched" || $type == "Unwatched")
                        $sql .= ',SHOWS_VIDEOS,VIDEOS ';
                    if ($value == 0)
                        $sql .= 'WHERE RATING=0  ';
                    else
                        $sql .= 'WHERE RATING>"' . ($value - 1) . '" AND RATING<="' . $value . '"  ';
                    /*if ($type == 'Videos')
                        $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                    else if ($type == 'TV Shows')
                        $sql .= 'AND SHOWS.TITLE_TYPE = 2 ';
                    else
                        $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6) ';*/
                    $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                    if ($type == 'Favorites')
                        $sql .= ' AND FAVOURITES.MEDIA_ID = SHOWS.ID  ';
                    else if ($type == "Watched" || $type == "Unwatched") {
                        $sql .= 'AND VIDEOS.ID = SHOWS_VIDEOS.VIDEOS_ID AND ';
                        $sql .= 'SHOWS.ID = SHOWS_VIDEOS.SHOWS_ID AND ';
                        if ($type == "Watched")
                            $sql .= 'VIDEOS.PLAY_COUNT > 0 ';
                        else
                            $sql .= 'VIDEOS.PLAY_COUNT = 0 ';
                    }
                } else if ($filterby == 'search') {
                    $sql = 'SELECT DISTINCT COUNT(SHOWS.ID) FROM SHOWS';
                    if ($filter == 'keyword')
                        $sql .= ',SHOWS_KEYWORDS,KEYWORDS';
                    else if ($filter == 'cast')
                        $sql .= ',SHOWS_PERSONS,VIDEO_PERSONS';
                    $sql .= ' WHERE ';
                    if ($filter == 'title')
                        $sql .= 'SHOWS.TITLE LIKE "%' . $value . '%" ';
                    else if ($filter == 'keyword') {
                        $sql .= 'KEYWORDS.KEYWORD LIKE "%' . $value . '%" AND ';
                        $sql .= 'SHOWS_KEYWORDS.ID=KEYWORDS.ID AND SHOWS_KEYWORDS.SHOWS_ID=SHOWS.ID ';
                    } else if ($filter == 'cast') {
                        $sql .= 'VIDEO_PERSONS.NAME LIKE "%' . $value . '%" AND ';
                        $sql .= 'SHOWS_PERSONS.PERSONS_ID=VIDEO_PERSONS.ID AND SHOWS_PERSONS.SHOWS_ID=SHOWS.ID AND ';
                        $sql .= 'SHOWS_PERSONS.PERSON_TYPE="CAST" ';
                    }
                    $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2)';
                } else if ($filterby == 'All') {
                    $sql = 'SELECT COUNT(SHOWS.ID) FROM SHOWS ';
                    if ($type == 'Favorites')
                        $sql .= ',FAVOURITES  ';
                    else if ($type == "Watched" || $type == "Unwatched")
                        $sql .= ',VIDEOS,SHOWS_VIDEOS ';
                    if ($type == 'Videos')
                        $sql .= 'WHERE (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                    else if ($type == 'TV Shows')
                        $sql .= 'WHERE SHOWS.TITLE_TYPE = 2 ';
                    else if ($type == 'Unidentified')
                        $sql .= 'WHERE (SHOWS.TITLE_TYPE = 0 OR SHOWS.TITLE_TYPE = 4) ';
                    else
                        $sql .= 'WHERE (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6) ';
                    if ($type == 'Favorites')
                        $sql .= ' AND FAVOURITES.MEDIA_ID = SHOWS.ID  ';
                    if ($type == "Watched" || $type == "Unwatched") {
                        $sql .= ' AND VIDEOS.ID = SHOWS_VIDEOS.VIDEOS_ID AND ';
                        $sql .= 'SHOWS.ID = SHOWS_VIDEOS.SHOWS_ID AND ';
                        if ($type == "Watched")
                            $sql .= 'VIDEOS.PLAY_COUNT > 0';
                        else
                            $sql .= 'VIDEOS.PLAY_COUNT = 0';
                    }
                }
            } else if ($type == 'Collections') {
                $sql = "SELECT count(*) FROM sqlite_master WHERE type='table' AND name='COLLECTIONS'";
                $result = DBQuery($dbh, $sql);
                $exists = $result->fetch(PDO::FETCH_NUM);

                if ($exists[0] == 1)
                    $sql = 'SELECT COUNT(ID) FROM COLLECTIONS ';
            } else if ($type == 'Lists') {
                $sql = "SELECT count(*) FROM sqlite_master WHERE type='table' AND name='LISTS'";
                $result = DBQuery($dbh, $sql);
                $exists = $result->fetch(PDO::FETCH_NUM);

                if ($exists[0] == 1)
                    $sql = 'SELECT COUNT(ID) FROM LISTS ';
            }
            $result = DBQuery($dbh, $sql);
            $totalCount = $result->fetch();
        } else
            $totalCount[0] = 0;

        if ($type == 'Videos' || $type == 'TV Shows' || $type == 'Movies' || $type == 'Watched' || $type == 'Unwatched' || 
		$type == "Favorites" || $type == 'Unidentified') {
            if ($filterby == 'Genre') {
                $sql = 'SELECT VIDEO_GENRES.ID,SHOWS_GENRES.SHOWS_ID AS SHOW_ID,TITLE_TYPE ';
                $sql .= ' FROM VIDEO_GENRES,SHOWS_GENRES,SHOWS ';
                if ($type == 'Favorites')
                    $sql .= ',FAVOURITES ';
                else if ($type == "Watched" || $type == "Unwatched")
                    $sql .= ',SHOWS_VIDEOS,VIDEOS ';
                $sql .= ' WHERE VIDEO_GENRES.NAME="' . $value . '" ';
                $sql .= 'AND SHOWS_GENRES.GENRES_ID=VIDEO_GENRES.ID ';
                if ($type == 'Favorites')
                    $sql .= ' AND FAVOURITES.MEDIA_ID = SHOWS.ID  ';
                $sql .= 'AND SHOWS.ID=SHOWS_GENRES.SHOWS_ID ';
                /*if ($type == 'Videos')
                    $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                else if ($type == 'TV Shows')
                    $sql .= 'AND SHOWS.TITLE_TYPE = 2 ';
                else
                    $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6) ';*/
                $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                if ($type == "Watched" || $type == "Unwatched") {
                    $sql .= 'AND VIDEOS.ID = SHOWS_VIDEOS.VIDEOS_ID AND ';
                    $sql .= 'SHOWS.ID = SHOWS_VIDEOS.SHOWS_ID AND ';
                    if ($type == "Watched")
                        $sql .= 'VIDEOS.PLAY_COUNT > 0 ';
                    else
                        $sql .= 'VIDEOS.PLAY_COUNT = 0 ';
                }
            } else if ($filterby == 'Director' || $filterby == 'Cast') {
                $sql = 'SELECT SHOWS_PERSONS.SHOWS_ID AS SHOW_ID,VIDEO_PERSONS.ID,SHOWS.TITLE_TYPE FROM ';
                $sql .= 'SHOWS,SHOWS_PERSONS,VIDEO_PERSONS ';
                if ($type == "Watched" || $type == "Unwatched")
                    $sql .= ',VIDEOS,SHOWS_VIDEOS ';
                $sql .= 'WHERE VIDEO_PERSONS.NAME="' . str_replace("'", "&apos;", $value) . '" AND ';
                $sql .= 'VIDEO_PERSONS.ID=SHOWS_PERSONS.PERSONS_ID ';
                $sql .= 'AND SHOWS.ID=SHOWS_PERSONS.SHOWS_ID ';
                /*if ($type == 'Videos')
                    $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) AND ';
                else if ($type == 'TV Shows')
                    $sql .= 'AND SHOWS.TITLE_TYPE = 2 AND ';
                else
                    $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6) AND ';*/
                $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                $sql .= " AND ";
                if ($type == "Watched" || $type == "Unwatched") {
                    $sql .= ' VIDEOS.ID = SHOWS_VIDEOS.VIDEOS_ID AND ';
                    $sql .= 'SHOWS.ID = SHOWS_VIDEOS.SHOWS_ID AND ';
                    if ($type == "Watched")
                        $sql .= 'VIDEOS.PLAY_COUNT > 0 AND ';
                    else
                        $sql .= 'VIDEOS.PLAY_COUNT = 0 AND ';
                }
                if ($filterby == 'Director')
                    $sql .= 'SHOWS_PERSONS.PERSON_TYPE = "DIRECTOR"';
                else if ($filterby == 'Cast')
                    $sql .= 'SHOWS_PERSONS.PERSON_TYPE = "CAST"';

            } else if ($filterby == 'Year') {
                $sql = 'SELECT SHOWS.ID AS SHOW_ID,SHOWS.TITLE_TYPE AS TITLE_TYPE FROM SHOWS ';
                if ($type == 'Favorites')
                    $sql .= ',FAVOURITES ';
                else if ($type == "Watched" || $type == "Unwatched")
                    $sql .= ',VIDEOS,SHOWS_VIDEOS ';
                $sql .= 'WHERE SHOWS.YEAR="' . $value . '"  ';
                /*if ($type == 'Videos')
                    $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                else if ($type == 'TV Shows')
                    $sql .= 'AND SHOWS.TITLE_TYPE = 2 ';
                else
                    $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6) ';*/
                $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                if ($type == 'Favorites')
                    $sql .= ' AND FAVOURITES.MEDIA_ID = SHOWS.ID  ';
                else if ($type == "Watched" || $type == "Unwatched") {
                    $sql .= 'AND VIDEOS.ID = SHOWS_VIDEOS.VIDEOS_ID AND ';
                    $sql .= 'SHOWS.ID = SHOWS_VIDEOS.SHOWS_ID AND ';
                    if ($type == "Watched")
                        $sql .= 'VIDEOS.PLAY_COUNT > 0 ';
                    else
                        $sql .= 'VIDEOS.PLAY_COUNT = 0 ';
                }
            } else if ($filterby == 'Index') {
                $sql = 'SELECT SHOW_GROUPS_SHOWS.SHOWS_ID AS SHOW_ID,SHOWS.TITLE_TYPE FROM ';
                $sql .= 'SHOW_GROUPS_SHOWS,SHOW_GROUPS,SHOWS,FAVOURITES WHERE ';
                $sql .= 'SHOW_GROUPS.NAME="' . $value . '" AND ';
                $sql .= 'SHOW_GROUPS_SHOWS.GROUPS_ID=SHOW_GROUPS.ID AND ';
                $sql .= 'SHOWS.ID=SHOW_GROUPS_SHOWS.SHOWS_ID AND ';
                $sql .= '(SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2)';
            } else if ($filterby == 'Certification') {
                if ($value == 'NR')
                    $value = '';
                $sql = 'SELECT SHOWS.ID AS SHOW_ID,TITLE_TYPE FROM SHOWS ';
                if ($type == "Watched" || $type == "Unwatched")
                    $sql .= ',VIDEOS,SHOWS_VIDEOS ';
                $sql .= 'WHERE PARENTAL_CONTROL="' . $value . '"  ';
                /*if ($type == 'Videos')
                    $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                else if ($type == 'TV Shows')
                    $sql .= 'AND SHOWS.TITLE_TYPE = 2 ';
                else
                    $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6) ';*/
                $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                if ($type == 'Favorites')
                    $sql .= ' AND FAVOURITES.MEDIA_ID = SHOWS.ID  ';
                else if ($type == "Watched" || $type == "Unwatched") {
                    $sql .= 'AND VIDEOS.ID = SHOWS_VIDEOS.VIDEOS_ID AND ';
                    $sql .= 'SHOWS.ID = SHOWS_VIDEOS.SHOWS_ID AND ';
                    if ($type == "Watched")
                        $sql .= 'VIDEOS.PLAY_COUNT > 0 ';
                    else
                        $sql .= 'VIDEOS.PLAY_COUNT = 0 ';
                }
            } else if ($filterby == 'Rating') {
                $sql = 'SELECT SHOWS.ID AS SHOW_ID,TITLE_TYPE FROM SHOWS ';
                if ($type == "Watched" || $type == "Unwatched")
                    $sql .= ',VIDEOS,SHOWS_VIDEOS ';
                if ($value == 0)
                    $sql .= 'WHERE RATING=0  ';
                else
                    $sql .= 'WHERE RATING>"' . ($value - 1) . '" AND RATING<="' . $value . '"  ';
                /*if ($type == 'Videos')
                    $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                else if ($type == 'TV Shows')
                    $sql .= 'AND SHOWS.TITLE_TYPE = 2 ';
                else
                    $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6) ';*/
                $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                if ($type == 'Favorites')
                    $sql .= ' AND FAVOURITES.MEDIA_ID = SHOWS.ID  ';
                else if ($type == "Watched" || $type == "Unwatched") {
                    $sql .= 'AND VIDEOS.ID = SHOWS_VIDEOS.VIDEOS_ID AND ';
                    $sql .= 'SHOWS.ID = SHOWS_VIDEOS.SHOWS_ID AND ';
                    if ($type == "Watched")
                        $sql .= 'VIDEOS.PLAY_COUNT > 0 ';
                    else
                        $sql .= 'VIDEOS.PLAY_COUNT = 0 ';
                }
            } else if ($filterby == 'search') {
                $sql = 'SELECT DISTINCT SHOWS.ID AS SHOW_ID,TITLE_TYPE FROM ';
                $sql .= 'SHOWS';
                if ($filter == 'keyword')
                    $sql .= ',SHOWS_KEYWORDS,KEYWORDS';
                else if ($filter == 'cast')
                    $sql .= ',SHOWS_PERSONS,VIDEO_PERSONS';
                $sql .= ' WHERE ';
                if ($filter == 'title')
                    $sql .= 'SHOWS.TITLE LIKE "%' . $value . '%" ';
                else if ($filter == 'keyword') {
                    $sql .= 'KEYWORDS.KEYWORD LIKE "%' . $value . '%" AND ';
                    $sql .= 'SHOWS_KEYWORDS.ID=KEYWORDS.ID AND SHOWS_KEYWORDS.SHOWS_ID=SHOWS.ID ';
                } else if ($filter == 'cast') {
                    $sql .= 'VIDEO_PERSONS.NAME LIKE "%' . $value . '%" AND ';
                    $sql .= 'SHOWS_PERSONS.PERSONS_ID=VIDEO_PERSONS.ID AND SHOWS_PERSONS.SHOWS_ID=SHOWS.ID AND ';
                    $sql .= 'SHOWS_PERSONS.PERSON_TYPE="CAST" ';
                }
                $sql .= 'AND (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';

            } else if ($filterby == 'All') {
                $sql = 'SELECT SHOWS.ID AS SHOW_ID,SHOWS.TITLE_TYPE AS TITLE_TYPE ';
                $sql .= 'FROM SHOWS ';
                if ($type == "Watched" || $type == "Unwatched")
                    $sql .= ',VIDEOS, SHOWS_VIDEOS ';
                else if ($type == 'Favorites')
                    $sql .= ',FAVOURITES  ';
                if ($type == 'Videos')
                    $sql .= 'WHERE (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6 OR SHOWS.TITLE_TYPE = 2) ';
                else if ($type == 'TV Shows')
                    $sql .= 'WHERE SHOWS.TITLE_TYPE = 2 ';
                else if ($type == 'Unidentified')
                    $sql .= 'WHERE (SHOWS.TITLE_TYPE = 0 OR SHOWS.TITLE_TYPE = 4) ';
                else
                    $sql .= 'WHERE (SHOWS.TITLE_TYPE = 1 OR SHOWS.TITLE_TYPE = 6) ';
                if ($type == 'Favorites')
                    $sql .= ' AND FAVOURITES.MEDIA_ID = SHOWS.ID  ';
                else if ($type == "Watched" || $type == "Unwatched") {
                    $sql .= 'AND VIDEOS.ID = SHOWS_VIDEOS.VIDEOS_ID AND ';
                    $sql .= 'SHOWS.ID = SHOWS_VIDEOS.SHOWS_ID AND ';
                    if ($type == "Watched")
                        $sql .= 'VIDEOS.PLAY_COUNT > 0 ';
                    else
                        $sql .= 'VIDEOS.PLAY_COUNT = 0 ';
                }
            }
        }
        if ($sortby == 'title')
            $sql .= 'ORDER BY SEARCH_TITLE ';
        else if ($sortby == 'release')
            $sql .= 'ORDER BY RELEASE_DATE ';
        else if ($sortby == 'duration')
            $sql .= 'ORDER BY RUNTIME ';
        else if ($sortby == 'rating')
            $sql .= 'ORDER BY RATING ';
        else if ($sortby == 'date')
            $sql .= 'ORDER BY SHOWS.CREATE_TIME ';

        if ($type == 'Collections') {
            $sql = "SELECT count(*) FROM sqlite_master WHERE type='table' AND name='COLLECTIONS'";
            $result = DBQuery($dbh, $sql);
            $exists = $result->fetch(PDO::FETCH_NUM);

            if ($exists[0] == 1) {
                $sql = 'SELECT ID AS COLLECTION_ID FROM COLLECTIONS ';
                $sql .= 'ORDER BY COLLECTIONS.TITLE ';
            }
            else {
               $nmj_data['pos'] = 0;
               $nmj_data['total_count'] = 0;
               $nmj_data['data'] = array();
               print_r(json_encode($nmj_data));
               return;
            }
        }
        if ($type == 'Lists') {
            $sql = "SELECT count(*) FROM sqlite_master WHERE type='table' AND name='LISTS'";
            $result = DBQuery($dbh, $sql);
            $exists = $result->fetch(PDO::FETCH_NUM);

            if ($exists[0] == 1) {
                $sql = 'SELECT ID AS LIST_ID FROM LISTS ';
                $sql .= 'ORDER BY LISTS.TITLE ';
            }
            else {
               $nmj_data['pos'] = 0;
               $nmj_data['total_count'] = 0;
               $nmj_data['data'] = array();
               print_r(json_encode($nmj_data));
               return;
            }
        }

        if ($orderby == 'asc')
            $sql .= 'ASC';
        else if ($orderby == 'desc')
            $sql .= 'DESC';

        $sql .= ' LIMIT ' . $posStart . ',' . $count;

        $rcount = 0;
        $result = DBQuery($dbh, $sql);
        $all_data = $result->fetchAll(PDO::FETCH_ASSOC);
        $count = count($all_data);

        $result_row = array();
        if ($count > 0) {
            $cnt=0;
            foreach ($all_data as $show_row) {
                if ($type == 'Collections') {
                    $sql = 'SELECT COLLECTIONS.ID AS COLLECTION_ID,TITLE,POSTER FROM SHOWS_COLLECTIONS,COLLECTIONS ';
                    $sql .= 'WHERE COLLECTIONS.ID=SHOWS_COLLECTIONS.COLLECTIONS_ID ';
                    $sql .= 'AND COLLECTIONS.ID='.$show_row['COLLECTION_ID'];
                } else if ($type == 'Lists') {
                    $sql = 'SELECT LISTS.ID AS LIST_ID,TITLE,POSTER FROM SHOWS_LISTS,LISTS ';
                    $sql .= 'WHERE LISTS.ID=SHOWS_LISTS.LIST_ID ';
                    $sql .= 'AND LISTS.ID='.$show_row['LIST_ID'];
                } else {
                    $sql = 'SELECT SHOWS.ID AS SHOW_ID,SHOWS.TITLE,SHOWS.TITLE_TYPE';
                    //$sql .= ',SHOWS.RATING,SHOWS.PARENTAL_CONTROL,SHOWS.TITLE_TYPE,SHOWS.YEAR';
                    $sql .= ',VIDEO_POSTERS.THUMBNAIL,VIDEO_POSTERS.POSTER ';
                    if ($show_row['TITLE_TYPE'] == 1 || $show_row['TITLE_TYPE'] == 6)
                        $sql .= ',VIDEOS.PLAY_COUNT ';
                    $sql .= 'FROM SHOWS,VIDEO_POSTERS ';
                    if ($show_row['TITLE_TYPE'] == 1 || $show_row['TITLE_TYPE'] == 6)
                        $sql .= ',SHOWS_VIDEOS,VIDEOS ';
                    $sql .= 'WHERE SHOWS.ID=' . $show_row['SHOW_ID'] . ' AND ';
                    $sql .= 'VIDEO_POSTERS.ID=' . $show_row['SHOW_ID'] . ' ';
                    if ($show_row['TITLE_TYPE'] == 1 || $show_row['TITLE_TYPE'] == 6) {
                        $sql .= ' AND SHOWS_VIDEOS.SHOWS_ID=' . $show_row['SHOW_ID'] . ' AND ';
                        $sql .= 'VIDEOS.ID=SHOWS_VIDEOS.VIDEOS_ID ';
                    }
                }

                $result = DBQuery($dbh, $sql);
                $result_row[$cnt] = $result->fetch(PDO::FETCH_ASSOC);

                if ($type == 'Collections') {
                    $result_row[$cnt]['TITLE_TYPE'] = 10;
                    $result_row[$cnt]['PLAY_COUNT'] = 0;
                    $result_row[$cnt]['THUMBNAIL'] = $result_row[$cnt]['POSTER'];
                }
                else if ($type == 'Lists') {
                    $result_row[$cnt]['TITLE_TYPE'] = 11;
                    $result_row[$cnt]['PLAY_COUNT'] = 0;
                    $result_row[$cnt]['THUMBNAIL'] = $result_row[$cnt]['POSTER'];
                }
               
                if ($result_row[$cnt]['THUMBNAIL'] == '')
                    $result_row[$cnt]['THUMBNAIL']='';
                if ($result_row[$cnt]['POSTER'] == '')
                    $result_row[$cnt]['POSTER']='';
                $pos = strpos($result_row[$cnt]['THUMBNAIL'], "/share/nmj_database");
                if ($pos === false)
                    $result_row[$cnt]['THUMBNAIL'] = ($result_row[$cnt]['THUMBNAIL']) ? basename($mediapath) . '/' . $result_row[$cnt]['THUMBNAIL'] : $result_row[$cnt]['THUMBNAIL'];
                else
                    $result_row[$cnt]['THUMBNAIL'] = substr($result_row[$cnt]['THUMBNAIL'], 1);
                $pos = strpos($result_row[$cnt]['POSTER'], "/share/nmj_database");
                if ($pos === false)
                    $result_row[$cnt]['POSTER'] = ($result_row[$cnt]['POSTER']) ? basename($mediapath) . '/' . $result_row[$cnt]['POSTER'] : $result_row[$cnt]['POSTER'];
                else
                    $result_row[$cnt]['POSTER'] = substr($result_row[$cnt]['POSTER'], 1);
                $cnt++;
            }
        $nmj_data['data'] = $result_row;
        $nmj_data['pos'] = $posStart;
        $nmj_data['total_count'] = $totalCount[0];
        print_r(json_encode($nmj_data));
        } else {
            print ("{\n");
            print (' "data": [' . "\n");
            print("],\n");
            print(' "pos" : ' . $posStart . ',' . "\n");
            if ($posStart == 0)
                print(' "total_count" : ' . $totalCount[0] . "\n");
            print("}\n");
        }
    } else {
        print("{ }\n");
    }
// close the database connection
    $dbh = NULL;
} else if (isset($_GET['action']) && $_GET['action'] == 'saveData') {
    $nmj_data = json_decode($_GET['DATA'], true);

    if (file_exists($nmj_data['DB_PATH']) && is_writable($nmj_data['DB_PATH'])) {
        $dbh = new PDO('sqlite:' . $nmj_data['DB_PATH']);

        handleNMJData($dbh, $nmj_data, "updated");
        $result['data'] = loadMovieData($nmj_data['DB_PATH'], $nmj_data['SHOW_ID'], $nmj_data['DRIVE'], $nmj_data['SOURCEURL']);
        $result['status'] = "success";
        $result['code'] = "";
        $result['ID'] = $nmj_data['ID'];
        print_r(json_encode($result));
    }
    else {
        $result['status'] = "error";
        $result['code'] = $nmj_data['DB_PATH'].' is not writable.';
        print_r(json_encode($result));
    }
} else if (isset($_GET['action']) && $_GET['action'] == 'updateMediaInfo') {
    $mediainfo['VIDEO'] = json_decode($_GET['DATA'], true);
    if (is_array($mediainfo))
        print_r(json_encode(getMediaInfo($mediainfo)));
    else
        print_r('{"status":"error","message":"Invalid JSON."}');
} else if (isset($_GET['action']) && $_GET['action'] == 'updateImage') {
    if (isset($_GET['SHOWID']))
        $showid = $_GET['SHOWID'];

    if (isset($_GET['tmdbid']))
        $nmj_data = getDefaultImageFromTMDB($_GET['tmdbid']);

    $nmj_data['SHOW_ID'] = $showid;
    print_r(json_encode($nmj_data));
} else if (isset($_GET['action']) && $_GET['action'] == 'updateData') {
    if (isset($_GET['SHOWID']))
        $showid = $_GET['SHOWID'];
    if (isset($_GET['imdbid']))
        $imdbid = $_GET['imdbid'];

    if (isset($_GET['tmdbid']))
        $nmj_data = getTMDBdata($_GET['tmdbid']);
    else if (isset($_GET['imdbid']))
        $nmj_data = getIMDBdata($_GET['imdbid']);
    $nmj_data['SHOW_ID'] = $showid;
    print_r(json_encode($nmj_data));
} else if (isset($_GET['action']) && $_GET['action'] == 'updateCollections') {
    global $TMDBAPI;

    if (isset($_GET['dbpath']))
        $dbpath = $_GET['dbpath'];
    if (file_exists($dbpath) && is_writable($dbpath)) {
        $mediapath = dirname(dirname($dbpath));
        $dbh = new PDO('sqlite:' . $dbpath);

        $sql = "SELECT count(*) FROM sqlite_master WHERE type='table' AND name='COLLECTIONS'";
        $result = DBQuery($dbh, $sql);
        $exists = $result->fetch(PDO::FETCH_NUM);

        if ($exists[0] == 0) {
            $sql = 'CREATE TABLE COLLECTIONS ( ID INTEGER PRIMARY KEY, TITLE TEXT, ';
            $sql .= 'OVERVIEW TEXT, POSTER TEXT, CONTENT_TTID TEXT, CUSTOM1 TEXT, CUSTOM2 TEXT, CUSTOM3 TEXT, CUSTOM4 TEXT, CUSTOM5 TEXT)';
            DBQuery($dbh, $sql);
        }

        $sql = "SELECT count(*) FROM sqlite_master WHERE type='table' AND name='SHOWS_COLLECTIONS'";
        $result = DBQuery($dbh, $sql);
        $exists = $result->fetch(PDO::FETCH_NUM);

        if ($exists[0] == 0) {
            $sql = 'CREATE TABLE SHOWS_COLLECTIONS ( ID INTEGER PRIMARY KEY, COLLECTIONS_ID INTEGER, ';
            $sql .= 'SHOW_ID INTEGER, CUSTOM1 TEXT, ';
            $sql .= 'CUSTOM2 TEXT, CUSTOM3 TEXT, CUSTOM4 TEXT, CUSTOM5 TEXT)';
            DBQuery($dbh, $sql);
        }

        $sql = 'SELECT ID AS SHOW_ID, CONTENT_TTID FROM SHOWS ';
        $sql .= 'WHERE (TITLE_TYPE = 1 OR TITLE_TYPE = 6) AND CONTENT_TTID != ""';
        $data = shell_exec("export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget http://api.themoviedb.org/3/configuration?api_key=" . $TMDBAPI . " -qO-");
        $json_parser = json_decode($data, true);
        $config['base_url']= $json_parser['images']['base_url'];

        $result = DBQuery($dbh, $sql);
        $show_data = $result->fetchAll(PDO::FETCH_ASSOC);
        for($i=0;$i<count($show_data);$i++) {
            if (isset($show_data[$i])) {
                $APIURL = 'http://api.themoviedb.org/3/movie/' . str_replace('tmdb', '', $show_data[$i]['CONTENT_TTID']) . '?api_key=' . $TMDBAPI;
                $json = shell_exec("export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget '" . $APIURL . "' -qO-");
                $json_parser = json_decode($json, true);
                if (is_array($json_parser['belongs_to_collection'])) {
                    $collection_id = $json_parser['belongs_to_collection']['id'];
                    $APIURL = 'http://api.themoviedb.org/3/collection/' . $collection_id . '?api_key=' . $TMDBAPI;
                    $json = shell_exec("export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget '" . $APIURL . "' -qO-");
                    $json_parser = json_decode($json, true);
                    $nmj_data = array();
                    $nmj_data['DRIVE'] = $mediapath;
                    $nmj_data['CONTENT_TTID'] = $json_parser['id'];
                    $nmj_data['TITLE'] = $json_parser['name'];
                    $nmj_data['OVERVIEW'] = $json_parser['overview'];
                    $nmj_data['POSTER'] = $config['base_url'].'w300'.$json_parser['poster_path'];
                    foreach ($json_parser['parts'] as $movies) {
                        for($x=0;$x<count($show_data);$x++) {
                            if (str_replace('tmdb', '', $show_data[$x]['CONTENT_TTID']) == $movies['id']) {
                                $nmj_data['SHOW_ID'][] = $show_data[$x]['SHOW_ID'];
                                unset($show_data[$x]);
                            }
                        }
                    }
                    handleCollections($dbh, $nmj_data, "updated");
                }
            }
        }
        $result['status'] = "success";
        $result['code'] = '';
    }
    else {
        $result['status'] = "error";
        $result['code'] = $dbpath. ' is not writable.';
    }
    print_r(json_encode($result));
        
} else if (isset($_GET['action']) && $_GET['action'] == 'updateList') {
    global $TMDBAPI;

    if (isset($_GET['dbpath']))
        $dbpath = $_GET['dbpath'];
    if (isset($_GET['listname']))
        $nmj_data['NAME'] = $_GET['listname'];
    if (isset($_GET['showid']))
        $nmj_data['SHOW_ID'] = $_GET['showid'];
    if (file_exists($dbpath) && is_writable($dbpath)) {
        $mediapath = dirname(dirname($dbpath));
        $dbh = new PDO('sqlite:' . $dbpath);

        $sql = "SELECT count(*) FROM sqlite_master WHERE type='table' AND name='LISTS'";
        $result = DBQuery($dbh, $sql);
        $exists = $result->fetch(PDO::FETCH_NUM);

        if ($exists[0] == 0) {
            $sql = 'CREATE TABLE LISTS ( ID INTEGER PRIMARY KEY, TITLE TEXT, ';
            $sql .= 'POSTER TEXT, CUSTOM1 TEXT, CUSTOM2 TEXT, CUSTOM3 TEXT, CUSTOM4 TEXT, CUSTOM5 TEXT)';
            DBQuery($dbh, $sql);
        }

        $sql = "SELECT count(*) FROM sqlite_master WHERE type='table' AND name='SHOWS_LISTS'";
        $result = DBQuery($dbh, $sql);
        $exists = $result->fetch(PDO::FETCH_NUM);

        if ($exists[0] == 0) {
            $sql = 'CREATE TABLE SHOWS_LISTS ( ID INTEGER PRIMARY KEY, LIST_ID INTEGER, ';
            $sql .= 'SHOW_ID INTEGER, CUSTOM1 TEXT, ';
            $sql .= 'CUSTOM2 TEXT, CUSTOM3 TEXT, CUSTOM4 TEXT, CUSTOM5 TEXT)';
            DBQuery($dbh, $sql);
        }
        handleList($dbh, $nmj_data, "updated");
        $output['status'] = "success";
        $output['code'] = '';
    }
    else {
        $output['status'] = "error";
        $output['code'] = $dbpath. ' is not writable.';
    }
    print_r(json_encode($output));
        
} else if (isset($_GET['action']) && $_GET['action'] == 'editFavorite') {
    $showid = $_GET['showid'];
    $title_type = $_GET['TTYPE'];
    $mode = $_GET['mode'];

    if (isset($_GET['dbpath']))
        $dbpath = $_GET['dbpath'];
    if (file_exists($dbpath)) {
        $mediapath = dirname(dirname($dbpath));
        $dbh = new PDO('sqlite:' . $dbpath);
        if ($mode == 'add') {
            $sql = 'INSERT INTO FAVOURITES VALUES(NULL,"' . $title_type . '",';
            $sql .= $showid . ',NULL,NULL,NULL,NULL,NULL)';
        } else if ($mode == 'remove') {
            $sql = 'DELETE FROM FAVOURITES WHERE MEDIA_ID=' . $showid;
        }
        $result = DBQuery($dbh, $sql);
    }
} else if (isset($_GET['action']) && $_GET['action'] == 'editWatched') {
    $showid = $_GET['showid'];
    $title_type = $_GET['TTYPE'];
    $mode = $_GET['mode'];

    if (isset($_GET['dbpath']))
        $dbpath = $_GET['dbpath'];
    if (file_exists($dbpath)) {
        $mediapath = dirname(dirname($dbpath));
        $dbh = new PDO('sqlite:' . $dbpath);
        if ($mode == 'add') {
            $sql = 'UPDATE VIDEOS SET PLAY_COUNT=1 WHERE VIDEOS.ID=(SELECT VIDEOS_ID FROM SHOWS_VIDEOS ';
            $sql .= 'WHERE SHOWS_ID=' . $showid . ')';
        } else if ($mode == 'remove') {
            $sql = 'UPDATE VIDEOS SET PLAY_COUNT=0 WHERE VIDEOS.ID=(SELECT VIDEOS_ID FROM SHOWS_VIDEOS ';
            $sql .= 'WHERE SHOWS_ID=' . $showid . ')';
        }
        $result = DBQuery($dbh, $sql);
    }
} else if (isset($_GET['action']) && $_GET['action'] == 'getCollections') {
    $collectionid = $_GET['collectionid'];

    if (isset($_GET['dbpath']))
        $dbpath = $_GET['dbpath'];

    if (file_exists($dbpath)) {
        $mediapath = dirname(dirname($dbpath));
        $dbh = new PDO('sqlite:' . $dbpath);

        $sql = 'SELECT DISTINCT SHOWS.ID AS SHOW_ID, SHOWS.TITLE,SHOWS.PARENTAL_CONTROL,';
        $sql .= 'SHOWS.YEAR,SHOWS.RATING,SHOWS.TITLE_TYPE,';
        $sql .= 'VIDEO_POSTERS.POSTER,VIDEO_POSTERS.THUMBNAIL ';
        $sql .= 'FROM COLLECTIONS,SHOWS_COLLECTIONS,SHOWS,VIDEO_POSTERS ';
        $sql .= 'WHERE COLLECTIONS.ID=' . $collectionid . ' AND ';
        $sql .= 'SHOWS.ID=SHOWS_COLLECTIONS.SHOW_ID AND ';
        $sql .= 'SHOWS_COLLECTIONS.COLLECTIONS_ID=COLLECTIONS.ID AND ';
        $sql .= 'VIDEO_POSTERS.ID=SHOWS.ID ';
        $sql .= 'ORDER BY SHOWS.YEAR ';

        $result = DBQuery($dbh, $sql);
        $nmj_data = $result->fetchAll(PDO::FETCH_ASSOC);
        $count = count($nmj_data);
        for($i=0;$i<count($nmj_data);$i++){
                $pos = strpos($nmj_data[$i]['THUMBNAIL'], "/share/nmj_database");
                if ($pos === false)
                    $nmj_data[$i]['THUMBNAIL'] = ($nmj_data[$i]['THUMBNAIL']) ? basename($mediapath) . '/' . $nmj_data[$i]['THUMBNAIL'] : $nmj_data[$i]['THUMBNAIL'];
                else
                    $nmj_data[$i]['THUMBNAIL'] = substr($nmj_data[$i]['THUMBNAIL'], 1);
                $pos = strpos($nmj_data[$i]['POSTER'], "/share/nmj_database");
                if ($pos === false)
                    $nmj_data[$i]['POSTER'] = ($nmj_data[$i]['POSTER']) ? basename($mediapath) . '/' . $nmj_data[$i]['POSTER'] : $nmj_data[$i]['POSTER'];
                else
                    $nmj_data[$i]['POSTER'] = substr($nmj_data[$i]['POSTER'], 1);
        }
        print_r(json_encode($nmj_data));
    }

} else if (isset($_GET['action']) && $_GET['action'] == 'getList') {
    $listid = $_GET['listid'];

    if (isset($_GET['dbpath']))
        $dbpath = $_GET['dbpath'];

    if (file_exists($dbpath)) {
        $mediapath = dirname(dirname($dbpath));
        $dbh = new PDO('sqlite:' . $dbpath);

        $sql = 'SELECT DISTINCT SHOWS.ID AS SHOW_ID, SHOWS.TITLE,SHOWS.PARENTAL_CONTROL,';
        $sql .= 'SHOWS.YEAR,SHOWS.RATING,SHOWS.TITLE_TYPE,';
        $sql .= 'VIDEO_POSTERS.POSTER,VIDEO_POSTERS.THUMBNAIL ';
        $sql .= 'FROM LISTS,SHOWS_LISTS,SHOWS,VIDEO_POSTERS ';
        $sql .= 'WHERE LISTS.ID=' . $listid . ' AND ';
        $sql .= 'SHOWS.ID=SHOWS_LISTS.SHOW_ID AND ';
        $sql .= 'SHOWS_LISTS.LIST_ID=LISTS.ID AND ';
        $sql .= 'VIDEO_POSTERS.ID=SHOWS.ID ';
        $sql .= 'ORDER BY SHOWS.YEAR ';

        $result = DBQuery($dbh, $sql);
        $nmj_data = $result->fetchAll(PDO::FETCH_ASSOC);
        $count = count($nmj_data);
        for($i=0;$i<count($nmj_data);$i++){
                $pos = strpos($nmj_data[$i]['THUMBNAIL'], "/share/nmj_database");
                if ($pos === false)
                    $nmj_data[$i]['THUMBNAIL'] = ($nmj_data[$i]['THUMBNAIL']) ? basename($mediapath) . '/' . $nmj_data[$i]['THUMBNAIL'] : $nmj_data[$i]['THUMBNAIL'];
                else
                    $nmj_data[$i]['THUMBNAIL'] = substr($nmj_data[$i]['THUMBNAIL'], 1);
                $pos = strpos($nmj_data[$i]['POSTER'], "/share/nmj_database");
                if ($pos === false)
                    $nmj_data[$i]['POSTER'] = ($nmj_data[$i]['POSTER']) ? basename($mediapath) . '/' . $nmj_data[$i]['POSTER'] : $nmj_data[$i]['POSTER'];
                else
                    $nmj_data[$i]['POSTER'] = substr($nmj_data[$i]['POSTER'], 1);
        }
        print_r(json_encode($nmj_data));
    }

} else if (isset($_GET['action']) && $_GET['action'] == 'getLists') {

    if (isset($_GET['dbpath']))
        $dbpath = $_GET['dbpath'];

    if (file_exists($dbpath)) {
        $mediapath = dirname(dirname($dbpath));
        $dbh = new PDO('sqlite:' . $dbpath);
            $sql = "SELECT count(*) FROM sqlite_master WHERE type='table' AND name='LISTS'";
            $result = DBQuery($dbh, $sql);
            $exists = $result->fetch(PDO::FETCH_NUM);

            $data['LIST_ID'] = 0;
            $data['TITLE'] = 'Add to New list';
            if ($exists[0] == 1) {
                $sql = 'SELECT ID AS LIST_ID,TITLE FROM LISTS ';
                $sql .= 'ORDER BY LISTS.TITLE ';
                $result = DBQuery($dbh, $sql);
                $nmj_data = $result->fetchAll(PDO::FETCH_ASSOC);
            }
        }
        array_unshift($nmj_data, $data);
        $nmj['data'] = $nmj_data;
        print_r(json_encode($nmj));

} else if (isset($_GET['action']) && $_GET['action'] == 'getSeasons') {
    $showid = $_GET['showid'];

    if (isset($_GET['dbpath']))
        $dbpath = $_GET['dbpath'];

    if (file_exists($dbpath)) {
        $mediapath = dirname(dirname($dbpath));
        $dbh = new PDO('sqlite:' . $dbpath);

        $sql = 'SELECT DISTINCT SHOWS.ID AS SHOW_ID, SHOWS.TITLE,SHOWS.PARENTAL_CONTROL,';
        $sql .= 'SHOWS.YEAR,SHOWS.RATING,SHOWS.TITLE_TYPE,';
        $sql .= 'VIDEO_POSTERS.POSTER,VIDEO_POSTERS.THUMBNAIL ';
        $sql .= 'FROM SHOWS,VIDEO_POSTERS,EPISODES ';
        $sql .= 'WHERE EPISODES.SERIES_ID=' . $showid . ' AND ';
        $sql .= 'SHOWS.ID=EPISODES.SEASON_ID AND ';
        $sql .= 'VIDEO_POSTERS.ID=SHOWS.ID ';
        $sql .= 'ORDER BY EPISODES.SEASON ';

        $result = DBQuery($dbh, $sql);
        $nmj_data = $result->fetchAll(PDO::FETCH_ASSOC);
        $count = count($nmj_data);
        for($i=0;$i<count($nmj_data);$i++){
                $pos = strpos($nmj_data[$i]['THUMBNAIL'], "/share/nmj_database");
                if ($pos === false)
                    $nmj_data[$i]['THUMBNAIL'] = ($nmj_data[$i]['THUMBNAIL']) ? basename($mediapath) . '/' . $nmj_data[$i]['THUMBNAIL'] : $nmj_data[$i]['THUMBNAIL'];
                else
                    $nmj_data[$i]['THUMBNAIL'] = substr($nmj_data[$i]['THUMBNAIL'], 1);
                $pos = strpos($nmj_data[$i]['POSTER'], "/share/nmj_database");
                if ($pos === false)
                    $nmj_data[$i]['POSTER'] = ($nmj_data[$i]['POSTER']) ? basename($mediapath) . '/' . $nmj_data[$i]['POSTER'] : $nmj_data[$i]['POSTER'];
                else
                    $nmj_data[$i]['POSTER'] = substr($nmj_data[$i]['POSTER'], 1);
        }
        print_r(json_encode($nmj_data));
    }

} else if (isset($_GET['action']) && $_GET['action'] == 'getMusic') {

    //define variables from incoming values
    if (isset($_GET["start"]))
        $posStart = $_GET['start'];
    else
        $posStart = 0;

    if (isset($_GET["TYPE"]))
        $type = $_GET['TYPE'];
    else
        $type = "";

    if (isset($_GET["VALUE"]))
        $value = $_GET['VALUE'];
    else
        $value = "";

    if (isset($_GET["count"]))
        $count = $_GET['count'];
    else
        $count = 20;

    if (isset($_GET['dbpath']))
        $dbpath = $_GET['dbpath'];

    if (isset($_GET['filter']))
        $filter = $_GET['filter'];

    if (file_exists($dbpath)) {
        $mediapath = dirname(dirname($dbpath));
        $command = "cd /share/Apps/NMJManagerTablet;ln -s " . $mediapath . " .";
        shell_exec($command);
        $dbh = new PDO('sqlite:' . $dbpath);

        if ($posStart == 0) {
            if ($type == 'Genre') {
                $sql = 'SELECT COUNT(SONG_GENRES_SONG_ALBUMS.ID),SONG_GENRES.ID FROM SONG_GENRES,';
                $sql .= 'SONG_GENRES_SONG_ALBUMS WHERE SONG_GENRES.NAME="' . $value . '" ';
                $sql .= 'AND SONG_GENRES_SONG_ALBUMS.GENRES_ID=SONG_GENRES.ID';
            } else if ($type == 'Year') {
                $sql = 'SELECT COUNT(*) FROM SONG_ALBUMS ';
                $sql .= 'WHERE RELEASE_DATE LIKE "' . $value . '-%"';
            } else if ($type == 'Artist') {
                $sql = 'SELECT COUNT(*) FROM SONG_PERSONS_SONG_ALBUMS,SONG_PERSONS ';
                $sql .= 'WHERE SONG_PERSONS.NAME="' . $value . '" AND ';
                $sql .= 'SONG_PERSONS_SONG_ALBUMS.PERSONS_ID=SONG_PERSONS.ID';
            } else if ($type == "Music") {
                $sql = 'SELECT COUNT(*) FROM SONG_ALBUMS';
            }

            $result = DBQuery($dbh, $sql);
            $totalCount = $result->fetch();
        } else
            $totalCount[0] = 0;

        if ($type == 'Genre') {
            $sql = 'SELECT SONG_GENRES_SONG_ALBUMS.ALBUMS_ID AS ALBUM_ID FROM SONG_GENRES,';
            $sql .= 'SONG_GENRES_SONG_ALBUMS,SONG_ALBUMS WHERE SONG_GENRES.NAME="' . $value . '" ';
            $sql .= 'AND SONG_GENRES_SONG_ALBUMS.GENRES_ID=SONG_GENRES.ID ';
            $sql .= 'AND SONG_ALBUMS.ID=ALBUM_ID ';
            $sql .= ' ORDER BY SONG_ALBUMS.SEARCH_TITLE ';
        } else if ($type == 'Year') {
            $sql = 'SELECT ID AS ALBUM_ID FROM SONG_ALBUMS ';
            $sql .= 'WHERE RELEASE_DATE LIKE "' . $value . '-%"';
        } else if ($type == 'Artist') {
            $sql = 'SELECT SONG_ALBUMS.ID AS ALBUM_ID FROM SONG_ALBUMS,SONG_PERSONS,';
            $sql .= 'SONG_PERSONS_SONG_ALBUMS WHERE ';
            $sql .= 'SONG_PERSONS_SONG_ALBUMS.PERSONS_ID = SONG_PERSONS.ID AND ';
            $sql .= 'SONG_PERSONS_SONG_ALBUMS.ALBUMS_ID = SONG_ALBUMS.ID AND ';
            $sql .= 'SONG_PERSONS.NAME = "' . $value . '" ';
        } else if ($type == 'Music') {
            $sql = 'SELECT ID AS ALBUM_ID FROM SONG_ALBUMS ';
            $sql .= 'ORDER BY SEARCH_TITLE ';
        }

        $sql .= ' LIMIT ' . $posStart . ',' . $count;
        $rcount = 0;
        $result = DBQuery($dbh, $sql);
        $all_data = $result->fetchAll(PDO::FETCH_ASSOC);
        $count = count($all_data);

        if ($count > 0) {
            print ("{\n");
            print (" pos:" . $posStart . ",\n");
            print (" data: [\n");

            foreach ($all_data as $music_row) {
                $sql = 'SELECT SONG_ALBUMS.ID AS ALBUM_ID,';
                $sql .= 'SONG_ALBUMS.TITLE,';
                $sql .= 'SONG_PERSONS.NAME,';
                $sql .= 'SONG_ALBUM_POSTERS.THUMBNAIL ';
                $sql .= 'FROM SONG_ALBUMS,SONG_PERSONS,SONG_ALBUM_POSTERS ';
                $sql .= 'WHERE SONG_ALBUMS.ID=' . $music_row['ALBUM_ID'] . ' AND ';
                $sql .= 'SONG_PERSONS.ID=' . $music_row['ALBUM_ID'] . ' AND ';
                $sql .= 'SONG_ALBUM_POSTERS.ID=' . $music_row['ALBUM_ID'] . ' ';

                $result = DBQuery($dbh, $sql);
                $nmj_data = $result->fetch(PDO::FETCH_ASSOC);

                // Print XML
                //print('    <item id="' . $nmj_data['VIDEO_ID'] . '">' . "\n");
                $kcount = 0;
                print ("  {\n");
                print("    total_count : " . $totalCount[0] . ",\n");
                foreach ($nmj_data as $key => $value) {
                    if ($key == 'TITLE')
                        $value = htmlspecialchars_decode($value);
                    $kcount++;
                    if ($key == 'THUMBNAIL') {
                        $pos = strpos($value, "/share/nmj_database");
                        if ($pos === false)
                            $value = ($value) ? basename($mediapath) . '/' . $value : $value;
                        else
                            $value = substr($value, 1);
                    }
                    if ($value == '')
                        $value = "NULL";

                    if ($kcount == count($nmj_data))
                        print('    "' . $key . '" : "' . $value . '"' . "\n");
                    else
                        print('    "' . $key . '" : "' . $value . '"' . ",\n");
                }
                $rcount++;
                if ($rcount == $count)
                    print ("  }\n");
                else
                    print ("  },\n");
            }
            print("]}\n");
        } else {
            print("{}\n");
        }
    } else {
        print("{ }\n");
    }
    // close the database connection
    $dbh = NULL;
} else if (isset($_GET['action']) && $_GET['action'] == 'getChapters') {

    $imdbid = $_GET['TTID'];

    if (stristr($_SERVER["HTTP_ACCEPT"], "application/xhtml+xml")) {
        header("Content-type: application/xhtml+xml");
    } else {
        header("Content-type: text/xml");
    }
    print("<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n");
    print ("<data>\n");
    $command = "export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget -qO- http://www.imdb.com/title/" . $imdbid . "/";
    $imdb_content = preg_replace('~(\r|\n|\r\n)~', '', shell_exec($command));
    $IMDB_TITLE = "~og:title' content=\"(.*) \((.*)\)\"~Ui";
    $strReturn = str_replace(" ", "%20", matchRegex($imdb_content, $IMDB_TITLE, 1));

    $command = "export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget -qO- http://chapterdb.org/browse/?title=" . $strReturn;
    $chapterdb_content = preg_replace('~(\r|\n|\r\n)~', '', shell_exec($command));
    $count = preg_match_all("|<td style=\"width:8\%\">(.*)</abbr></td>|isU", $chapterdb_content, $output);
    if ($count > 0) {
        for ($i = 0; $i < $count; $i++) {
            $cnt = preg_match('|(.*)</td>(.*)<a href="/browse/(.*)">(.*)</a></td>(.*)<td style(.*)>(.*)</td>|isU',
                $output[1][$i], $result);
            print ("            <item id='" . $result[3] . "'><name>" . $result[1] . "&#160;&#160;&#160;&#160;&#160;&#160;" .
                $result[4] . "&#160;&#160;&#160;&#160;&#160;&#160;" . $result[7] . "</name></item>\n");
        }
    }
        print ("</data>\n");
} else if (isset($_GET['action']) && $_GET['action'] == 'editChapters') {
    $showid = $_GET['showid'];
    $chapterid = $_GET['chapterid'];

    if (isset($_GET['dbpath']))
        $dbpath = $_GET['dbpath'];

    $command = "export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget -qO- http://chapterdb.org/browse/" . $chapterid;
    $chapterdb_content = preg_replace('~(\r|\n|\r\n)~', '', shell_exec($command));
    preg_match("|<table class=\"table table-condensed table-striped\">(.*)</table>|isU", $chapterdb_content, $output);

    $dom = new DOMDocument;
    $dom->loadHTML($output[1]);
    $rows = array();
    foreach ($dom->getElementsByTagName('tr') as $tr) {
        $cells = array();
        foreach ($tr->getElementsByTagName('td') as $td) {
            $cells[] = $td->nodeValue;
        }
        $rows[] = $cells;
    }

    if (file_exists($dbpath)) {
        $mediapath = dirname(dirname($dbpath));
        $dbh = new PDO('sqlite:' . $dbpath);

        $sql = "SELECT count(*) FROM sqlite_master WHERE type='table' AND name='CHAPTERS'";
        $result = DBQuery($dbh, $sql);
        $exists = $result->fetch(PDO::FETCH_NUM);

        if ($exists[0] == 0) {
            $sql = 'CREATE TABLE CHAPTERS ( ID INTEGER PRIMARY KEY, CHAPTER INTEGER, ';
            $sql .= 'TITLE TEXT, RUNTIME INTEGER, SHOW_ID INTEGER, CUSTOM1 TEXT, ';
            $sql .= 'CUSTOM2 TEXT, CUSTOM3 TEXT, CUSTOM4 TEXT, CUSTOM5 TEXT)';
            DBQuery($dbh, $sql);
        }
        $sql = 'SELECT COUNT(SHOW_ID) FROM CHAPTERS WHERE SHOW_ID=' . $showid;
        $result = DBQuery($dbh, $sql);
        $chap_count = $result->fetchAll();
        if ($chap_count > 0) {
            $sql = 'DELETE FROM CHAPTERS WHERE SHOW_ID=' . $showid;
            DBQuery($dbh, $sql);
        }

        for ($i = 0; $i < count($rows); $i++) {
            $time = explode(".", $rows[$i][2]);
            sscanf($time[0], "%d:%d:%d", $hours, $minutes, $seconds);
            $time_seconds = isset($seconds) ? $hours * 3600 + $minutes * 60 + $seconds : $hours * 60 + $minutes;
            $sql = 'INSERT INTO CHAPTERS VALUES(NULL,';
            $sql .= $rows[$i][0] . ',"' . str_replace('"', '&quot;', $rows[$i][1]) . '",' . $time_seconds . ',';
            $sql .= $showid . ',NULL,NULL,NULL,NULL,NULL)';
            DBQuery($dbh, $sql);
        }
    }
} else if (isset($_GET['action']) && $_GET['action'] == 'getMovieDetails') {
    if (isset($_GET['dbpath']))
        $dbpath = $_GET['dbpath'];

    if (isset($_GET['sourcepath']))
        $sourcepath = $_GET['sourcepath'];

    if (isset($_GET['sourceurl']))
        $sourceurl = $_GET['sourceurl'];

    $showid = $_GET['showid'];
    $index = $_GET['INDEX'];

    if (file_exists($dbpath)) {
        $nmj_data = loadMovieData($dbpath, $showid, $sourcepath, $sourceurl);
        $nmj_data['INDEX'] = $index;
        print_r(json_encode($nmj_data));
    }
} else if (isset($_GET['action']) && $_GET['action'] == 'getActors') {
        if (isset($_GET['dbpath']))
            $dbpath = $_GET['dbpath'];
        if (isset($_GET['sourcepath']))
            $sourcepath = $_GET['sourcepath'];
        $TITLE_TYPE = $_GET['TITLE_TYPE'];
        $SHOW_ID = $_GET['SHOW_ID'];

        if (file_exists($dbpath)) {
            $mediapath = dirname(dirname($dbpath));
            $dbh = new PDO('sqlite:' . $dbpath);

            $nmj_data['data'] = loadActorData($dbh, $SHOW_ID, $sourcepath, $TITLE_TYPE);
            print_r(json_encode($nmj_data));
        }
} else if (isset($_GET['action']) && $_GET['action'] == 'getActorDetails') {
        $actorid = $_GET['actorid'];
        $actorname = $_GET['actorname'];
        $TITLE_TYPE = $_GET['TITLE_TYPE'];

        if ($TITLE_TYPE == 1) {
            $command = "export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget http://api.themoviedb.org/3/person/" .
            $actorid . "?api_key=" . $TMDBAPI . " -qO-";
            $json_parser = json_decode(shell_exec($command), true);

            print_r(json_encode($json_parser));
        }
        else if ($TITLE_TYPE == 5) {
            $command = "export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget 'http://api.themoviedb.org/3/search/person" .
            "?query=". urlencode($actorname) ."&api_key=" . $TMDBAPI . "' -qO-";
            $json_parser = json_decode(shell_exec($command), true);
            for($i=0;$i<count($json_parser['results']);$i++){
                if ($json_parser['results'][$i]['name'] == $actorname)
                    $actorid = $json_parser['results'][$i]['id'];
            }
            $command = "export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget http://api.themoviedb.org/3/person/" .
                $actorid . "?api_key=" . $TMDBAPI . " -qO-";
            $json_parser = json_decode(shell_exec($command), true);
            print_r(json_encode($json_parser));
        }

} else if (isset($_GET['action']) && $_GET['action'] == 'getActorMovieDetails') {
        $actorid = $_GET['actorid'];
        if (isset($_GET['dbpath']))
            $dbpath = $_GET['dbpath'];

        $command = "export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget http://api.themoviedb.org/3/person/" .
            $actorid . "?api_key=" . $TMDBAPI . " -qO-";
        $jsonp = json_decode(shell_exec($command), true);
        $actor_name = $jsonp['name'];

        $command = "export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget http://api.themoviedb.org/3/person/" .
            $actorid . "/movie_credits?api_key=" . $TMDBAPI . " -qO-";
        $jsonp = json_decode(shell_exec($command), true);

        aasort($jsonp['cast'], "release_date");
        $json_parser['data'] = $jsonp['cast'];

        if (file_exists($dbpath)) {
            $mediapath = dirname(dirname($dbpath));
            $dbh = new PDO('sqlite:' . $dbpath);

            for ($i = 0; $i < count($json_parser['data']); $i++) {
                foreach ($json_parser['data'][$i] as $key => $value) {
                    if ($key == 'id') {
                        $sql = 'SELECT SHOWS.ID,PLAY_COUNT,TITLE_TYPE FROM SHOWS,VIDEOS,SHOWS_VIDEOS WHERE ';
                        $sql .= 'CONTENT_TTID="tmdb' . $value . '" AND ';
                        $sql .= 'SHOWS_VIDEOS.SHOWS_ID=SHOWS.ID AND ';
                        $sql .= 'VIDEOS.ID=SHOWS_VIDEOS.VIDEOS_ID';

                        $result = DBQuery($dbh, $sql);
                        $show_data = $result->fetch(PDO::FETCH_ASSOC);
                        if ($json_parser['data'][$i]['poster_path'] == '')
                            $json_parser['data'][$i]['poster_path'] = 'images/gridview_video_default_thumb.jpg';
                        else
                            $json_parser['data'][$i]['poster_path'] = 'http://image.tmdb.org/t/p/w185' . $json_parser['data'][$i]['poster_path'];
                        if ($show_data['ID'] != 0) {
                            $json_parser['data'][$i]['in_collection'] = 1;
                            $json_parser['data'][$i]['SHOW_ID'] = $show_data['ID'];
                            $json_parser['data'][$i]['PLAY_COUNT'] = $show_data['PLAY_COUNT'];
                            $json_parser['data'][$i]['TITLE_TYPE'] = $show_data['TITLE_TYPE'];
                        } else {
                            $json_parser['data'][$i]['in_collection'] = 0;
                            $json_parser['data'][$i]['SHOW_ID'] = 0;
                            $json_parser['data'][$i]['PLAY_COUNT'] = 0;
                            $json_parser['data'][$i]['TITLE_TYPE'] = 0;
                        }
                    }
                }
            }
            print_r(json_encode($json_parser));
        }

} else if (isset($_GET['action']) && $_GET['action'] == 'getSeasonDetails') {

        if (isset($_GET['dbpath']))
            $dbpath = $_GET['dbpath'];

        if (isset($_GET['sourcepath']))
            $sourcepath = $_GET['sourcepath'];

        $showid = $_GET['showid'];
        $index = $_GET['INDEX'];

        if (file_exists($dbpath)) {
            $mediapath = dirname(dirname($dbpath));
            $dbh = new PDO('sqlite:' . $dbpath);

            $remove = array("\n", "\r\n", "\r");
            $nmj_data = loadSeasonData($dbh, $showid, $sourcepath);
            print ("[\n");
            print ("  {\n");
            print('    "INDEX" : "' . $index . '"' . ",\n");
            $kcount = 0;
            foreach ($nmj_data as $key => $value) {
                $kcount++;
                if ($key == 'KEYWORD' || $key == 'GENRE' || $key == 'CAST' || $key == 'DIRECTOR') {
                    print ('    "' . $key . '": [' . "\n");
                    $tary1 = array();
                    foreach ($value as $cid => $cvalue) {
                        $tary1[] = '        "' . $cvalue . '"';
                    }
                    print(implode(",\n", $tary1));
                    print ("\n    ],\n");
                    continue;
                }
                else if ($key == 'BOOKMARK_TIME')
                    $value = sprintf('%02d:%02d:%02d', ($value / 3600), ($value / 60 % 60), $value % 60);
                else if ($key == 'CONTENT')
                    $value = str_replace($remove, ' ', $value);
                else if ($key == 'POSTER') {
                    $pos = strpos($value, "/share/nmj_database");
                    if ($pos === false)
                        $value = ($value) ? basename($mediapath) . '/' . $value : $value;
                    else
                        $value = substr($value, 1);
                }
                else if ($key == 'WALLPAPER') {
                    $pos = strpos($value, "/share/nmj_database");
                    if ($pos === false)
                        $value = ($value) ? basename($mediapath) . '/' . $value : $value;
                    else
                        $value = substr($value, 1);
                }
                else if ($key == 'BOOKMARK_THUMBNAIL') {
                    $pos = strpos($value, "/share/nmj_database");
                    if ($pos === false)
                        $value = ($value) ? basename($mediapath) . '/' . $value : $value;
                    else
                        $value = substr($value, 1);
                }
                print('    "' . $key . '" : "' . $value . '"' . ",\n");
            }

            print ('    "CHAPTERS": [' . "\n");

            $remove = array("\n", "\r\n", "\r");
            $sql = 'SELECT EPISODE_ID,EPISODE FROM EPISODES WHERE ';
            $sql .= 'SEASON_ID=' . $showid . ' ORDER BY EPISODE';
            foreach ($dbh->query($sql) as $episodes) {
                $sql = 'SELECT VIDEOS_ID AS VIDEO_ID FROM SHOWS_VIDEOS ';
                $sql .= 'WHERE SHOWS_ID=' . $episodes['EPISODE_ID'];
                $result = DBQuery($dbh, $sql);
                $video_id = $result->fetch(PDO::FETCH_ASSOC);
                $sql = 'SELECT PATH FROM VIDEOS WHERE ID=' . $video_id['VIDEO_ID'];
                $result = DBQuery($dbh, $sql);
                $path = $result->fetch(PDO::FETCH_ASSOC);
                $sql = 'SELECT SHOWS.TITLE,SHOWS.RUNTIME,SYNOPSISES.SUMMARY FROM ';
                $sql .= 'SHOWS,SYNOPSISES WHERE SHOWS.ID=' . $episodes['EPISODE_ID'] . ' AND ';
                $sql .= 'SYNOPSISES.ID=' . $episodes['EPISODE_ID'];
                $result = DBQuery($dbh, $sql);
                $result_row = $result->fetch(PDO::FETCH_ASSOC);
                print ("    {\n");
                print ('      "EPISODE": "' . $episodes['EPISODE'] . '",' . "\n");
                print ('      "TITLE": "' . $result_row['TITLE'] . '",' . "\n");
                print ('      "SYNOPSIS": "' . str_replace($remove, ' ', trim(str_replace("&apos;", "'", $result_row['SUMMARY']))) . '",' . "\n");
                print ('      "RUNTIME": "' . sec2ms($result_row['RUNTIME']) . '",' . "\n");
                print ('      "PATH": "' . $path['PATH'] . '"' . "\n");
                print ("    },\n");
            }

            print ("    ]\n");
            print ("  }\n");
            print ("]\n");
        }
} else if (isset($_GET['action']) && $_GET['action'] == 'getMusicDetails') {
        if (isset($_GET['dbpath']))
            $dbpath = $_GET['dbpath'];

        if (isset($_GET['sourcepath']))
            $sourcepath = $_GET['sourcepath'];

        $albumid = $_GET['albumid'];
        $index = $_GET['INDEX'];
        $songby = $_GET['songby'];

        if (file_exists($dbpath)) {
            $mediapath = dirname(dirname($dbpath));
            $dbh = new PDO('sqlite:' . $dbpath);

            print ("[\n");
            print ("  {\n");
            if ($albumid != 0) {
                //$nmj_data = loadMusicData($dbh, $albumid, $drivepath);
                $nmj_data = array();
                $sql = 'SELECT SONG_ALBUMS.ID AS ALBUM_ID,';
                $sql .= 'SONG_ALBUMS.TITLE,';
                $sql .= 'SONG_ALBUMS.RELEASE_DATE AS ALBUM_YEAR,';
                $sql .= 'SONG_PERSONS.NAME AS ALBUM_ARTIST,';
                $sql .= 'SONG_ALBUM_POSTERS.POSTER ';
                $sql .= 'FROM SONG_ALBUMS,SONG_PERSONS,SONG_ALBUM_POSTERS ';
                $sql .= 'WHERE SONG_ALBUMS.ID=' . $albumid . ' AND ';
                $sql .= 'SONG_PERSONS.ID=' . $albumid . ' AND ';
                $sql .= 'SONG_ALBUM_POSTERS.ID=' . $albumid . ' ';

                $result = DBQuery($dbh, $sql);
                $nmj_data = $result->fetch(PDO::FETCH_ASSOC);
                $year = explode("-", $nmj_data['ALBUM_YEAR']);
                $nmj_data['ALBUM_YEAR'] = $year[0];
                $nmj_data['DRIVE_PATH'] = $sourcepath;

                print('    "INDEX" : "' . $index . '"' . ",\n");
                $kcount = 0;
                foreach ($nmj_data as $key => $value) {
                    $kcount++;
                    if ($key == 'BOOKMARK_TIME')
                        $value = sprintf('%02d:%02d:%02d', ($value / 3600), ($value / 60 % 60), $value % 60);
                    if ($key == 'POSTER')
                        $value = ($value) ? basename($mediapath) . '/' . $value : $value;
                    print('    "' . $key . '" : "' . $value . '"' . ",\n");
                }
            }

            if ($albumid != 0) {
                $sql = 'SELECT SONGS.TITLE, SONG_GENRES.NAME AS GENRE, SONGS.RUNTIME, ';
                $sql .= 'SONG_ALBUMS.TITLE AS ALBUM,SONG_PERSONS.NAME AS ARTIST,SONGS.PATH,';
                $sql .= 'SONG_ALBUMS_SONGS.SEQUENCE AS TRACK_NO ';
                $sql .= 'FROM SONGS, SONG_ALBUMS_SONGS, SONG_GENRES, SONG_GENRES_SONGS,';
                $sql .= 'SONG_ALBUMS, SONG_PERSONS_SONGS, SONG_PERSONS ';
                $sql .= 'WHERE SONG_ALBUMS_SONGS.ALBUMS_ID = ' . $albumid . ' AND ';
                $sql .= 'SONG_PERSONS_SONGS.SONGS_ID = SONGS.ID AND ';
                $sql .= 'SONG_PERSONS.ID = SONG_PERSONS_SONGS.PERSONS_ID AND ';
                $sql .= 'SONG_ALBUMS.ID = ' . $albumid . ' AND ';
                $sql .= 'SONG_GENRES_SONGS.SONGS_ID = SONGS.ID AND ';
                $sql .= 'SONG_GENRES.ID = SONG_GENRES_SONGS.GENRES_ID AND ';
                $sql .= 'SONG_ALBUMS_SONGS.SONGS_ID = SONGS.ID ';
                $sql .= 'ORDER BY SONG_ALBUMS_SONGS.SEQUENCE';
            } else {
                $sql = 'SELECT SONGS.TITLE, SONG_GENRES.NAME AS GENRE, SONGS.RUNTIME, ';
                $sql .= 'SONG_ALBUMS.TITLE AS ALBUM,SONG_PERSONS.NAME AS ARTIST,SONGS.PATH, ';
                $sql .= 'SONG_ALBUMS_SONGS.SEQUENCE AS TRACK_NO ';
                $sql .= 'FROM SONGS, SONG_ALBUMS_SONGS, SONG_GENRES, SONG_GENRES_SONGS,';
                $sql .= 'SONG_ALBUMS, SONG_PERSONS_SONGS, SONG_PERSONS ';
                $sql .= 'WHERE SONGS.TITLE LIKE "' . $songby . '%" AND ';
                $sql .= 'SONG_ALBUMS_SONGS.SONGS_ID = SONGS.ID AND ';
                $sql .= 'SONG_GENRES.ID = SONG_GENRES_SONGS.GENRES_ID AND ';
                $sql .= 'SONG_GENRES_SONGS.SONGS_ID = SONGS.ID AND ';
                $sql .= 'SONG_ALBUMS.ID = SONG_ALBUMS_SONGS.ALBUMS_ID AND ';
                $sql .= 'SONG_PERSONS_SONGS.SONGS_ID = SONGS.ID AND ';
                $sql .= 'SONG_PERSONS.ID = SONG_PERSONS_SONGS.PERSONS_ID ';
                $sql .= 'ORDER BY SONGS.SEARCH_TITLE';
            }

            $tracks = 0;
            print ('    "tracks": [' . "\n");
            foreach ($dbh->query($sql) as $track_data) {
                $tracks++;
                print ("    {\n");
                print ('      "TRACK_NO": "' . $track_data['TRACK_NO'] . '",' . "\n");
                print ('      "TITLE": "' . $track_data['TITLE'] . '",' . "\n");
                print ('      "RUNTIME": "' . sec2ms($track_data['RUNTIME']) . '",' . "\n");
                print ('      "ALBUM": "' . $track_data['ALBUM'] . '",' . "\n");
                print ('      "GENRE": "' . $track_data['GENRE'] . '",' . "\n");
                print ('      "PATH": "' . $track_data['PATH'] . '",' . "\n");
                print ('      "COMPOSER": "-",' . "\n");
                print ('      "ARTIST": "' . $track_data['ARTIST'] . '"' . "\n");
                print ("    },\n");
            }

            print ("    ]\n");
            print ("  }\n");
            print ("]\n");
        }
} else if (isset($_GET['action']) && $_GET['action'] == 'getMenu') {
        if (isset($_GET['dbpath']))
            $dbpath = $_GET['dbpath'];

        if (isset($_GET['TYPE']))
            $type = $_GET['TYPE'];

        if (isset($_GET['filter']))
            $filter = $_GET['filter'];

        if (file_exists($dbpath)) {
            $mediapath = dirname(dirname($dbpath));
            $dbh = new PDO('sqlite:' . $dbpath);

            $cnt=0;
            if ($filter == "genre") {
                $sql = 'SELECT DISTINCT NAME FROM VIDEO_GENRES ORDER BY NAME';
                $tmpary[$cnt]['id'] = 'All genres';
                $tmpary[$cnt]['name'] = 'All genres';
                $cnt++;
                foreach ($dbh->query($sql) as $row) {
                    $tmpary[$cnt]['id'] = $row['NAME'];
                    $tmpary[$cnt]['name'] = $row['NAME'];
                    $cnt++;
                }
            } else if ($filter == "year") {
                $sql = 'SELECT DISTINCT YEAR FROM SHOWS ORDER BY YEAR DESC';
                $tmpary[$cnt]['id'] = 'All years';
                $tmpary[$cnt]['name'] = 'All years';
                $cnt++;
                foreach ($dbh->query($sql) as $row) {
                    $tmpary[$cnt]['id'] = $row['YEAR'];
                    $tmpary[$cnt]['name'] = $row['YEAR'];
                    $cnt++;
                }
            } else if ($filter == "certification") {
                $sql = 'SELECT DISTINCT PARENTAL_CONTROL FROM SHOWS ORDER BY PARENTAL_CONTROL';
                $tmpary[$cnt]['id'] = 'All certifications';
                $tmpary[$cnt]['name'] = 'All certifications';
                $cnt++;
                foreach ($dbh->query($sql) as $row) {
                    if ($row['PARENTAL_CONTROL'] == '')
                        $row['PARENTAL_CONTROL'] = 'NR';
                    $tmpary[$cnt]['id'] = $row['PARENTAL_CONTROL'];
                    $tmpary[$cnt]['name'] = $row['PARENTAL_CONTROL'];
                    $cnt++;
                }
            } else if ($filter == "rating") {
                $tmpary[$cnt]['id'] = 'All ratings';
                $tmpary[$cnt]['name'] = 'All ratings';
                $cnt++;
                for ($i = 10; $i >= 0; $i--) {
                    $tmpary[$cnt]['id'] = $i;
                    $tmpary[$cnt]['name'] = "<img src='images/common_star_" . $i . ".png'>";
                    $cnt++;
                }
            }
            $output['data'] = $tmpary;
            print_r(json_encode($output, JSON_HEX_TAG));
        } else {
            print ("{ }");
        }
} else if (isset($_GET['action']) && $_GET['action'] == 'getDriveDetails') {
    $data = json_decode($_GET['DATA'], true);

    if ($data['device_type'] == 'samba') {
        $command = "export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget -qO- ";
        $command .= "'http://127.0.0.1:8008/file_operation?arg0=list_user_storage_file&arg1=";
        $command .= $data['path']. "&arg2=0&arg3=100&arg4=true&arg5=true&arg6=true&arg7='";

        $davidbox_output = shell_exec($command);

        $xml = simplexml_load_string($davidbox_output);
        $json = json_encode($xml);
        $json_parser = json_decode($json, TRUE);

    if ($json_parser['returnValue'] == 0) {
        if (file_exists($json_parser['response']['convertPath']."/nmj_database/media.db")) {
            $rdata['dbpath'] = $json_parser['response']['convertPath']."/nmj_database/media.db";
            if (is_writable($rdata['dbpath']))
                $rdata['writable'] = "yes";
            else
                $rdata['writable'] = "no";
            $rdata['jukebox'] = 1;
            $rdata['path'] = $data['path'];
            $rdata['drivepath'] = $json_parser['response']['convertPath'];
        }
    }
    }
    else {
        $list = glob('/share/nmj_database_*');
        if (count($list) > 0) {
        for ($k = 0; $k < count($list); $k++) {
            if (file_exists($list[$k].'/media.db')) {
                $temp_dbh = new PDO('sqlite:' . $list[$k] . '/media.db');
                $sql = 'SELECT DIRECTORY FROM SCAN_DIRS';
                $result = DBQuery($temp_dbh, $sql);
                $all_data = $result->fetch(PDO::FETCH_ASSOC);
            if (strpos($all_data['DIRECTORY'], $data['path']) === false) {
                $rdata['dbpath'] =  '';
                $rdata['jukebox'] = 0;
                $rdata['writable'] = "no";
                $rdata['path'] = $data['path'];
                $rdata['drivepath'] = $json_parser['response']['convertPath'];
            }
            else {
                $rdata['dbpath'] =  $list[$k].'/media.db';
                if (is_writable($rdata['dbpath']))
                    $rdata['writable'] = "yes";
                else
                    $rdata['writable'] = "no";
                $rdata['jukebox'] = 1;
                $rdata['path'] = $data['path'];
                $rdata['drivepath'] = $json_parser['response']['convertPath'];
            }
            }
        }
    }
    else {
        $rdata['dbpath'] = '';
        $rdata['writable'] = "no";
        $rdata['jukebox'] = 0;
        $rdata['path'] = $data['path'];
        $rdata['datapath'] = $data['path'];
    }
    }
    print_r(json_encode($rdata));
} else if (isset($_GET['action']) && $_GET['action'] == 'getDrives') {
    if (isset($_GET['type']))
        $type = $_GET['type'];

    if(file_exists("/opt/syb/sigma/bin/gbus_read_uint32"))
        $machine="NMT";
    else
        $machine="OTHERS";

    $devices = array();
    if ($machine == 'NMT') {
        $command = "export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget -qO- ";
        $command .= "'http://127.0.0.1:8008/file_operation?arg0=list_user_storage_file&arg1=&arg2=0&arg3=100&arg4=true&arg5=true&arg6=true&arg7='";
        $davidbox_output = shell_exec($command);
        $xml = simplexml_load_string($davidbox_output);
        $json = json_encode($xml);
        $json_parser = json_decode($json, TRUE);

    if ($type == "local") {
        if (is_array($json_parser)) {
        $all_devices = $json_parser['response']['fileList']['file'];
        $cnt=0;
        for($i=0;$i<count($all_devices);$i++){
            if ($all_devices[$i]['device_type'] == 'harddisk' || $all_devices[$i]['device_type'] == 'usb') {
            if (file_exists($all_devices[$i]['path'] . "/nmj_database/media.db")) {
                $data[$cnt]['name'] = $all_devices[$i]['name'];
                $data[$cnt]['dbpath'] = $all_devices[$i]['path'] . "/nmj_database/media.db";
                $data[$cnt]['drivepath'] = $all_devices[$i]['path'];
                if (is_writable($data[$cnt]['dbpath']))
                    $data[$cnt]['writable'] = "yes";
                else
                    $data[$cnt]['writable'] = "no";
                $data[$cnt]['image'] = "images/selectsource_icon_harddisk_jukebox.png";
                $data[$cnt]['jukebox'] = 1;
                $data[$cnt]['type'] = "local";
            }
            else {
                $data[$cnt]['name'] = $all_devices[$i]['name'];
                $data[$cnt]['dbpath'] = '';
                $data[$cnt]['writable'] = "no";
                $data[$cnt]['drivepath'] = $all_devices[$i]['path'];
                $data[$cnt]['image'] = "images/selectsource_icon_harddisk.png";
                $data[$cnt]['jukebox'] = 0;
                $data[$cnt]['type'] = "local";
            }
            $cnt++;
        }
        }
        $devices['machine'] = "NMT";
        $devices['data'] = $data;
        print_r(json_encode($devices));
        }
        else
            print_r('{"data":[]}');
    } else if ($type == "network") {
        if (is_array($json_parser)) {
        $all_devices = $json_parser['response']['fileList']['file'];
        $cnt=0;
        for($i=0;$i<count($all_devices);$i++){
            if ($all_devices[$i]['device_type'] == 'nfs' || $all_devices[$i]['device_type'] == 'samba') {
                $data[$cnt]['name'] = $all_devices[$i]['name'];
                $data[$cnt]['path'] = $all_devices[$i]['path'];
                $data[$cnt]['image'] = "images/selectsource_icon_network_shared.png";
                $data[$cnt]['type'] = "network";
                $data[$cnt]['device_type'] = $all_devices[$i]['device_type'];
                $cnt++;
        }
        }
        $devices['machine'] = "NMT";
        $devices['data'] = $data;
        print_r(json_encode($devices));
        }
        else
            print_r('{"data":[]}');
    }
    }
    else {
        $files = scandir(".");
        $cnt=0;
        for($i=0;$i<count($files);$i++){
            if ($files[$i] != '.' && $files[$i] != '..' && (is_link($files[$i]) || is_dir($files[$i]))) {
            if (file_exists($files[$i] . "/nmj_database/media.db")) {
                $data[$cnt]['name'] = $files[$i];
                $data[$cnt]['dbpath'] = $files[$i] . "/nmj_database/media.db";
                if (is_writable($data[$cnt]['dbpath']))
                    $data[$cnt]['writable'] = "yes";
                else
                    $data[$cnt]['writable'] = "no";
                $data[$cnt]['drivepath'] = $files[$i];
                $data[$cnt]['image'] = "images/selectsource_icon_harddisk_jukebox.png";
                $data[$cnt]['jukebox'] = 1;
                $data[$cnt]['type'] = "local";
            }
            else {
                $data[$cnt]['name'] = $files[$i];
                $data[$cnt]['dbpath'] = '';
                $data[$cnt]['writable'] = "no";
                $data[$cnt]['drivepath'] = $files[$i];
                $data[$cnt]['image'] = "images/selectsource_icon_harddisk.png";
                $data[$cnt]['jukebox'] = 0;
                $data[$cnt]['type'] = "local";
            }
            $cnt++;
         }
         }
            $devices['machine'] = "";
            $devices['data'] = $data;
            print_r(json_encode($devices));
    }
} else if (isset($_GET['action']) && $_GET['action'] == 'getImages') {
        global $TMDBAPI;

        if (isset($_GET['type']))
            $type = $_GET['type'];

        if (isset($_GET["tmdbid"]))
            $tmdbid = str_replace("tmdb","",$_GET["tmdbid"]);

        $data = shell_exec("export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget http://api.themoviedb.org/3/configuration?api_key=" . $TMDBAPI . " -qO-");
        $json_parser = json_decode($data, true);
        $config['base_url']= $json_parser['images']['base_url'];
 
        $data = shell_exec("export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget http://api.themoviedb.org/3/movie/" . $tmdbid . "/images?api_key=" . $TMDBAPI . " -qO-");
        $json_parser = json_decode($data, true);

        print("[\n");
        if ($type == 'WALLPAPER') {
            $imgary = array();
            for ($i = 0; $i < count($json_parser['backdrops']); $i++) {
                $imgary[$i] = '{ "css": "image", "template" : "img", "data":{ "WALLPAPER":"'.$config['base_url'].'w300' . $json_parser['backdrops'][$i]['file_path'] . '", "title": "Image ' . ($i + 1) . '"} }';
            }
            print(implode(",\n", $imgary));
        }
        else if ($type == 'POSTER') {
            $imgary = array();
            for ($i = 0; $i < count($json_parser['posters']); $i++) {
                $imgary[$i] = '{ "css": "image", "template" : "img", "data":{ "POSTER":"'.$config['base_url'].'w300' . $json_parser['posters'][$i]['file_path'] . '", "title": "Image ' . ($i + 1) . '"} }';
            }
            print(implode(",\n", $imgary));
        }
        print("\n]");
} else if (isset($_GET['action']) && $_GET['action'] == 'playMedia') {
        if (isset($_GET['media']))
            $media = $_GET['media'];
        if (isset($_GET['type']))
            $type = $_GET['type'];
        if (isset($_GET['time']))
            $time = $_GET['time'];
        if ($time == 0)
            $time = '';
        $APIURL = '';
        if ($type == "movie") {
            $movies = explode("#", $media);
            if (count($movies) == 1) {
                $APIURL = " 'http://127.0.0.1:8008/playback?arg0=start_vod&arg1=MyMovieFile&arg2=" . $movies[0] . "&arg3=show&arg4=" . $time . "&arg5=0&arg6=enable' ";
            } else {
                for ($h = 0; $h < count($movies); $h++)
                    $APIURL = $APIURL . " 'http://127.0.0.1:8008/playback?arg0=insert_vod_queue&arg1=MyMovieFile&arg2=" . $movies[$h] . "&arg3=show&arg4=' ";
            }
        } else {
            $music = explode("#", $media);
            if (count($music) == 1)
                $APIURL = " 'http://127.0.0.1:8008/playback?arg0=start_aod&arg1=MyAudioFile&arg2=" . $music[0] . "&arg3=show&arg4=disable' ";
            else {
                for ($h = 0; $h < count($music); $h++)
                    $APIURL = $APIURL . " 'http://127.0.0.1:8008/playback?arg0=insert_aod_queue&arg1=MyAudioFile&arg2=" . $music[$h] . "&arg3=show' ";
            }
        }
        $current = shell_exec("export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget -qO- 'http://127.0.0.1:8008/playback?arg0=stop_vod'");
        $current = shell_exec("export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget -qO- 'http://127.0.0.1:8008/playback?arg0=stop_aod'");
        $url = "export LD_LIBRARY_PATH=/opt/syb/sigma/lib:/lib;wget -qO- " . $APIURL;
        $xml_data = shell_exec($url);
        $xml = simplexml_load_string($xml_data);
        $json = json_encode($xml);
        $json_parser = json_decode($json, TRUE);
        print_r('{"data":[]}');
    //return ($json_parser['returnValue']);

}
?>
