function movieWallViewHTML(obj) {
    toptext = undefined;
    bottomtext = undefined;
    if (typeof obj.TITLE != 'undefined' || typeof obj.name != 'undefined' || typeof obj.original_title != 'undefined') {
        if (typeof obj.THUMBNAIL != 'undefined') {
            if (obj.THUMBNAIL == '' || obj.THUMBNAIL == 'NULL')
                //thumbnail = 'http://' + ipaddress + ':' + port + '/NMJManagerTablet_web/' + 'images/gridview_video_default_thumb.jpg';
                thumbnail = 'images/gridview_video_default_thumb.jpg';
            else if (obj.THUMBNAIL.substr(0,4) == 'http')
                thumbnail = obj.THUMBNAIL;
            else
                thumbnail = 'http://' + ipaddress + ':' + port + '/NMJManagerTablet_web/' + obj.THUMBNAIL.replace(/\'/g, "%27");
        }

        if (typeof obj.thumbnail != 'undefined' && typeof obj.name != 'undefined' && typeof obj.character != 'undefined') {
            toptext = obj.name;
            bottomtext = obj.character;
            if (obj.thumbnail == '')
                thumbnail = 'http://' + ipaddress + ':' + port + '/NMJManagerTablet_web/' + 'images/gridview_video_default_thumb.jpg';
            else
                thumbnail = obj.thumbnail;
        }

        if (typeof obj.original_title != 'undefined' && typeof obj.poster_path != 'undefined' && obj.release_date != 'undefined') {
            toptext = obj.original_title;
            thumbnail = obj.poster_path;
            if (obj.release_date == '')
                bottomtext = '9999-99-99';
            else
                bottomtext = obj.release_date;
        }
        if (obj.TITLE_TYPE == 5  && typeof obj.TITLE != 'undefined'){
                toptext = obj.TITLE.substring(obj.TITLE.indexOf("Season "));
                bottomtext = '';
        }

        Template = "<div style='width:100%; height:100%;position: relative;color: white;'>";
        Template += "<img style='width:100%; height: 100%;position: relative;";
        if (typeof obj.in_collection != 'undefined' && obj.in_collection == 0)
            Template += "-webkit-filter: grayscale(100%);-moz-filter: grayscale(100%);filter: grayscale(100%);filter: gray;";
        Template += "' src='" + thumbnail + "' ";
        Template += "onError=\"this.onerror=null;this.src='images/movieinfo_big_video_default_thumb.jpg';\"/>";
        Template += "<img style='position: absolute;width:100%;height:100%;top:0px;left:0px;' src='images/gridview_wall_thumb_glass.png'/>";
        if (typeof obj.in_collection != 'undefined' && obj.in_collection == 1)
            Template += "<img style='position: absolute; width:25px;height:40px;left:10px;' src='images/episode-collection.png'/>";
        if (typeof obj.PLAY_COUNT != 'undefined' && obj.PLAY_COUNT != 0) {
            Template += "<img style='position: absolute;width:80px;right:0px;top:0px;' ";
            Template += "src='images/episode-watched.png'/>";
        }
        if (typeof toptext != 'undefined' && typeof bottomtext != 'undefined') {
            Template += "<div style='background-color: #282828; position: absolute;text-align: left;color: white; " +
            "line-height: 20px;bottom:0px;width:100%;'>" +
            "<span style='font-size:18px;padding-left:5px;'>" + toptext + "<br/><span style='font-size:15px;font-style: italic;'>" +
            bottomtext + "</span></div>";
        }
        Template += "</div>";
    }
    else {
        var Template = "<div></div>";
    }
    return Template;
}
